<?php
/**
 * Genera cache
 *
 * @package    
 * @subpackage 
 * @author     wtaype
 * @version    SVN: $Id: generateCache.php,v 1.11 2009/04/08 16:44:38 william.taype Exp $ 
 */
$sDirBase = dirname(__FILE__).'/../../';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfConfigHandler.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfFinder.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfToolkit.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfYamlConfigHandler.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfParameterHolder.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfAutoloadConfigHandler.class.php';

$arrayDir = array(
					         'path'=>$sDirBase
					       );
try
{					       
  $o_sfAutoloadConfigHandler = new sfAutoloadConfigHandler();
  $sContent = $o_sfAutoloadConfigHandler->executeGenerateConfigAutoload($arrayDir);
  
  $archivo = fopen( $sDirBase."/cache/config_autoload.php", "w" );
  fputs ( $archivo, $sContent );
  fclose( $archivo );
  
  echo "SE CONSTRUYO EL ARCHIVO /cache/config_autoload.php";
}
catch (Exception $e) 
{
  
  echo "<font color=red>".$e->getMessage()."</font>";
}
